Bug 20306 - Get rid of/deprecate FilterFactories
Get rid of/deprecate FilterFactories
Status: CLOSED FIXED
Product: java
Classification: Unclassified
Component: Unsupported
3.x
PC Linux
: P1 (vote)
: 3.x
Assigned To: Tomas Zezula
issues@java
: API
Depends on: 18177
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 06:03 UTC by Svata Dedic
Modified: 2007-09-26 09:14 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2002-02-08 06:03:45 UTC
... and replace them by Looks.
Comment 1 Rochelle Raccah 2002-02-13 15:11:06 UTC
When you do, please plan to document the transition in the 3.3->3.4
migration guide.
Comment 2 Svata Dedic 2002-02-15 08:35:58 UTC
I misentered the issue type - this should be task, not a defect :-)
Comment 3 Svata Dedic 2002-03-25 09:06:26 UTC
Changing dependency to the covering issue
Comment 4 Marek Grummich 2002-07-22 10:50:09 UTC
Set target milestone to TBD
Comment 5 Tomas Zezula 2003-04-23 17:11:05 UTC
Not only the FilterFactory, but the whole package
org.openide.src.nodes should go away. There is no need for it, and
NB4.0 is the right milestone to cancel this API out.
Comment 6 Tomas Zezula 2003-04-28 14:29:44 UTC
Java module does not depend on the org.openide.src.nodes any more.
The support for FilterFactories was removed and is replaced by
CompositeLooks.
Comment 7 Jan Becicka 2003-11-25 14:02:39 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 8 Jan Becicka 2003-11-25 14:11:33 UTC
---> CLOSED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo